"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Config = void 0;
class Config {
    constructor() {
        this._configs = {};
    }
    get(path) {
        let result = this._configs[path];
        // if (!result) {
        //   let objResult;
        //   let configs = this._configs;
        //   let childPath = path + '.';
        //   Object.keys(this._configs).forEach((configKey) => {
        //     if (configKey.indexOf(childPath) === 0) {
        //     }
        //   })
        // }
        return result;
    }
    add(json) {
        if (!json)
            return;
        Object.assign(this._configs, this.flat(json));
    }
    flat(json, path) {
        return Object.keys(json).reduce((flattened, key) => {
            let data = json[key];
            let childPath = path ? `${path}.${key}` : key;
            if (typeof data === 'object'
                && !Array.isArray(data)
                && data !== null) {
                Object.assign(flattened, this.flat(data, childPath));
            }
            else {
                flattened[childPath] = data;
            }
            return flattened;
        }, {});
    }
}
exports.Config = Config;
// export default new Config();
//# sourceMappingURL=config.js.map