export declare function createThunkAttributeDecorator<OptionsType>(callback: ThunkAttributeDecorator<OptionsType>): (options: OptionsType) => (target: any, key: string, descriptor?: PropertyDescriptor) => any;
export declare function createThunkClassDecorator<OptionsType>(callback: ThunkClassDecorator<OptionsType>): (options: OptionsType) => (target: any) => any;
interface ThunkAttributeDecorator<OptionsType> {
    (options: OptionsType, target: any, key: string, descriptor: PropertyDescriptor): void;
}
interface ThunkClassDecorator<OptionsType> {
    (options: OptionsType, target: any): void;
}
export {};
